Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 811311 - Documentation cleanup
Summary: Documentation cleanup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vijay Bellur
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks: 817967
TreeView+ depends on / blocked
 
Reported: 2012-04-10 17:02 UTC by Vijay Bellur
Modified: 2015-12-01 16:45 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-24 17:56:38 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Vijay Bellur 2012-04-10 17:02:24 UTC
Description of problem:

Need to get rid of documentation that has not been updated/irrelevant in the repo. Also bring in relevant documentation as part of doc/ directory in the repository.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Anand Avati 2012-04-11 17:26:05 UTC
CHANGE: http://review.gluster.com/3116 (doc: Move outdated documentation to legacy) merged in master by Anand Avati (avati@redhat.com)

Comment 2 Anand Avati 2012-04-23 21:51:42 UTC
CHANGE: http://review.gluster.com/3209 (doc: Added admin guide) merged in master by Anand Avati (avati@redhat.com)

Comment 3 Rahul Hinduja 2012-06-04 10:36:57 UTC
Confirmed that the docs are available under:

https://github.com/gluster/glusterfs/tree/master/doc

Moving to verified state.

Comment 4 Anand Avati 2013-05-26 08:09:26 UTC
REVIEW: http://review.gluster.org/5091 (doc: Move relevant files out of legacy.) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 5 Anand Avati 2013-05-28 11:39:32 UTC
COMMIT: http://review.gluster.org/5091 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 19a6b34358cb2b12aec0eba1659fca65a50aa3a3
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Sun May 26 13:37:50 2013 +0530

    doc: Move relevant files out of legacy.
    
    Change-Id: Iff9166dd7baa3d60b70ffab5ce9a692d211fa4fb
    BUG: 811311
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/5091
    Reviewed-by: Justin Clift <jclift@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 6 Anand Avati 2013-07-03 07:34:27 UTC
REVIEW: http://review.gluster.org/5277 (doc: Moved non-relevant documentation files to legacy) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 7 Anand Avati 2013-07-09 04:54:36 UTC
REVIEW: http://review.gluster.org/5277 (doc: Moved non-relevant documentation files to legacy) posted (#2) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 8 Anand Avati 2013-07-09 06:59:12 UTC
COMMIT: http://review.gluster.org/5277 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 60bdca792b7e572b4d79382dada1c6b93bebdd0e
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Wed Jul 3 13:02:29 2013 +0530

    doc: Moved non-relevant documentation files to legacy
    
    Change-Id: I2d34e5a4e47cd03d301d9fd2525fb61ae997fcb8
    BUG: 811311
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/5277
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 9 Anand Avati 2013-07-25 11:48:29 UTC
REVIEW: http://review.gluster.org/5395 (doc: Create a features folder.) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 10 Anand Avati 2013-07-25 12:07:48 UTC
COMMIT: http://review.gluster.org/5395 committed in master by Anand Avati (avati@redhat.com) 
------
commit e9c583598b8ad58bbda15759067ff57eca619e95
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Thu Jul 25 17:12:21 2013 +0530

    doc: Create a features folder.
    
    Moved rdma and bd documents to doc/features. Added a new
    document on rebalance.
    
    Change-Id: I04269202adc9605754fc29876433c88480b822a3
    BUG: 811311
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/5395
    Reviewed-by: Anand Avati <avati@redhat.com>
    Tested-by: Anand Avati <avati@redhat.com>

Comment 11 Anand Avati 2013-09-27 12:20:06 UTC
REVIEW: http://review.gluster.org/6011 (doc: Release notes for 3.4.1) posted (#2) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)

Comment 12 Anand Avati 2013-09-27 12:24:24 UTC
COMMIT: http://review.gluster.org/6011 committed in release-3.4 by Vijay Bellur (vbellur@redhat.com) 
------
commit 4d48a6ba0284ddbbcf2b04a3ca95858a3738cea8
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Fri Sep 27 17:31:29 2013 +0530

    doc: Release notes for 3.4.1
    
    Change-Id: Id4bb25c3fbda52700b1d4d624cd622db3b3c0d8a
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    BUG: 811311
    Reviewed-on: http://review.gluster.org/6011
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>

Comment 13 Anand Avati 2014-01-03 10:41:16 UTC
REVIEW: http://review.gluster.org/6639 (doc: Release Notes for 3.4.2) posted (#1) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)

Comment 14 Anand Avati 2014-01-03 10:57:06 UTC
COMMIT: http://review.gluster.org/6639 committed in release-3.4 by Vijay Bellur (vbellur@redhat.com) 
------
commit 098fd71353a179c5ae26ff91159f7a5a3e1a0575
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Fri Jan 3 16:09:56 2014 +0530

    doc: Release Notes for 3.4.2
    
    Change-Id: I47759c63605ff49ad13e7b805d0aaacc2d1451d9
    BUG: 811311
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6639
    Reviewed-by: Niels de Vos <ndevos@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.